package com.muyu.vehicle.api.req;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZl
 * @description: 车辆获取连接地址
 * @Date 2023-11-28 上午 10:32
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleConnectionReq {

    /**
     * {
     *     "vehicleVin": "VIN1234567894",
     *     "timestamp": "11111",
     *     "username": "你好",
     *     "nonce": "33"
     * }
     */

    /**
     * vin
     */
    @JSONField(name = "vehicleVin")
    private String vin;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * 用户名
     */
    @JSONField(name = "username")
    private String userName;

    /**
     * 随机字符串
     */
    private String nonce;

}
