package com.muyu.web.controller;

import com.muyu.web.common.Result;
import com.muyu.web.domain.MessageTemplate;
import com.muyu.web.domain.req.MessageTemplateSaveReq;
import com.muyu.web.service.MessageTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/18
 * @Description: 报文控制层
 * @Version: 1.0
 */
@RestController
@RequestMapping("/message")
public class MessageController {

    @Autowired
    private MessageTemplateService messageTemplateService;

    /**
     * 报文模板列表
     * @return 列表
     */
    @GetMapping("/template/list")
    public Result<List<MessageTemplate>> templateList(){
        return Result.success(
                messageTemplateService.list()
        );
    }

    /**
     * 保存报文模板
     * @return 统一返回值
     */
    public Result<String> save(@RequestBody @Validated MessageTemplateSaveReq messageTemplateSaveReq){
        return Result.success();
    }
}
