package com.muyu.web.controller;

import com.muyu.web.common.Result;
import com.muyu.web.domain.model.OverviewModel;
import com.muyu.web.domain.resp.OverviewResp;
import com.muyu.web.service.OverviewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 车辆模拟系统概述
 * @Version: 1.0
 */
@RestController
@RequestMapping("/vehicle/overview")
public class OverviewController {

    @Autowired
    private OverviewService overviewService;

    @GetMapping
    public Result<OverviewResp> overview() {

        OverviewModel overviewModel = overviewService.overview();

        return Result.success(OverviewResp.modeBuild(overviewModel));
    }
}
