package com.muyu.web.controller;

import com.muyu.system.handle.SystemHandler;
import com.muyu.web.common.Result;
import com.muyu.system.properties.ServerConfigProperties;
import com.muyu.web.domain.model.MqttServerModel;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author DongZl
 * @description: 车辆上线默认类
 * @Date 2023-11-30 下午 02:59
 */
@RestController
@RequestMapping("/verify")
@AllArgsConstructor
public class VerifyController {


    /**
     * 新增车辆默认上线主题
     * @return 默认返回test
     */
    @PostMapping("/vehicleConnection")
    public Result<MqttServerModel> vehicleConnection(){
        ServerConfigProperties serverConfig = SystemHandler.getServerConfig();
        return Result.success(
                MqttServerModel.builder()
                        .broker(serverConfig.getMqttAddr())
                        .topic(serverConfig.getMqttTopic())
                        .build()
        );
    }
}
