package com.muyu.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/18
 * @Description: 报文模板值规则
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "message_template_value")
public class MessageTemplateValue {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private String id;
    /**
     * 租户ID
     */
    private String tenantId;
    /**
     * 报文模板
     */
    private String messageId;
    /**
     * 报文类别
     */
    private String category;
    /**
     * 报文编码
     */
    private String code;
    /**
     * 报文标签
     */
    private String label;
    /**
     * 报文起始位置
     */
    private String startLocation;
    /**
     * 报文终止位置
     */
    private String endLocation;
    /**
     * 数据类型
     */
    private String valueType;
    /**
     * 固定值
     */
    private String fixedValue;
    /**
     * 数据最小范围
     */
    private String minValue;
    /**
     * 数据最大范围
     */
    private String maxValue;
}
