package com.muyu.web.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author DongZl
 * @description: 路径信息
 * @Date 2023-11-20 上午 09:28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("position_route_info")
public class PositionRouteInfo {

    /**
     * 主键
     */
    @TableId("id")
    private Long id;

    /**
     * 租户ID
     */
    @TableField(value = "tenant_id", fill = FieldFill.INSERT)
    private String tenantId;

    /**
     * 名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 数据
     */
    @TableField(value = "route_data")
    private String routeData;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;
}
