package com.muyu.web.domain.resp;

import com.muyu.web.domain.model.ServerConfigModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 服务器配置返回值
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ServerConfigResp {

    /**
     * 主机地址
     */
    private String host;
    /**
     * 端口号
     */
    private String port;
    /**
     * 负载地址
     */
    private String uri;
    /**
     * 默认MQTT地址
     */
    private String defaultMqttAddr;
    /**
     * 默认MQTT主题
     */
    private String defaultMqttTopic;
    /**
     * 默认MQTT交付级别
     */
    private Integer defaultMqttQos;


    public static ServerConfigResp modelBuild(ServerConfigModel serverConfigModel){
        return builder()
                .host(serverConfigModel.getHost())
                .port(serverConfigModel.getPort())
                .uri(serverConfigModel.getUri())
                .defaultMqttAddr(serverConfigModel.getDefaultMqttAddr())
                .defaultMqttTopic(serverConfigModel.getDefaultMqttTopic())
                .defaultMqttQos(serverConfigModel.getDefaultMqttQos())
                .build();
    }
}
