package com.muyu.web.service.impl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.system.handle.SystemHandler;
import com.muyu.system.properties.ServerConfigProperties;
import com.muyu.web.domain.ServerConfig;
import com.muyu.web.domain.model.ServerConfigModel;
import com.muyu.web.service.ServerConfigService;
import org.springframework.stereotype.Service;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 服务器配置业务实现层
 * @Version: 1.0
 */
@Service
public class ServerConfigServiceImpl extends ServiceImpl<BaseMapper<ServerConfig>, ServerConfig> implements ServerConfigService {
    /**
     * 获取配置模型
     *
     * @return 配置模型
     */
    @Override
    public ServerConfigModel get () {
        return ServerConfigModel.serverConfigPropertiesBuild(SystemHandler.getServerConfig());
    }

    /**
     * 修改配置
     *
     * @param serverConfigModel 配置模型
     */
    @Override
    public void edit (ServerConfigModel serverConfigModel) {
        ServerConfig serverConfig = ServerConfig.modeBuild(serverConfigModel, SystemHandler::getUserId);
        updateById(serverConfig);
        SystemHandler.setServerConfig(
                ServerConfigProperties.modelToProperties(serverConfigModel)
        );
    }
}
